/**Begin D:\PDM_UPGRADE\PDM1\EB_constraint.sql **/
-- T_EB_CONTROLMESSAGE，预算控制提示消息
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLMESSAGE') 
CREATE TABLE T_EB_CONTROLMESSAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FMESSAGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGECONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMESSAGETITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILL BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_EB_CONTROLMESSAGE', 'T_EB_CONTROLMESSAGE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLMESSAGE')
CREATE INDEX IDX_EB_CONTROLMESSAGE ON T_EB_CONTROLMESSAGE (FBILL ASC);

/**End D:\PDM_UPGRADE\PDM1\EB_constraint.sql **/